import Qt 4.7

Item {
    id: onOffBox
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.top: parent.top

    property string labelText: "Enabled:"
    property bool switchOn: false

    signal switchChanged()

    function setOn() {
//        console.debug("set on")
        onOffBox.switchOn = true
    }

    function setOff() {
//        console.debug("set off")
        onOffBox.switchOn = false
    }

    function loadSettings() {

    }

    Text {
        id: onOffBoxLabelShadow
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 3
        width: 120
        height: 18
        color: "#000000"
        text: onOffBox.labelText
        font.bold: true
        horizontalAlignment: Text.AlignRight
        verticalAlignment: Text.AlignVCenter
        smooth: true
    }

    Text {
        id: onOffBoxLabel
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 2
        width: 120
        height: 18
        color: "#ffffff"
        text: onOffBox.labelText
        font.bold: true
        horizontalAlignment: Text.AlignRight
        verticalAlignment: Text.AlignVCenter
        smooth: true
    }

    Image {
        id: timePickerOnOffSwitch
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.leftMargin: 130
        width: 60
        height: 28

        source: (onOffBox.switchOn) ? "pics/XASwitchOn.png" : "pics/XASwitchOff.png"

        MouseArea {
            id: timePickerOnOffSwitchMA
            anchors.fill: parent

            onClicked: {
                onOffBox.switchOn = !onOffBox.switchOn
                switchChanged();
            }
        }
    }

    Component.onCompleted: loadSettings()
}
